package com.upgradingdave;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class HelloWorld {

  private String greeting;

  public static void main(String[] args) {

    HelloWorld hello = new HelloWorld("hello.properties");
    System.out.println("Hello, " + hello.getGreeting() + "!");
  }

  public HelloWorld(String configFile) {

    Properties prop = new Properties();
    InputStream in = null;

    try {

      in = this.getClass().getClassLoader().getResourceAsStream(configFile);
      prop.load(in);
      this.greeting = prop.getProperty("greeting");

    } catch (IOException ex) {
      ex.printStackTrace();
    } finally {
      if (in != null) {
        try {
          in.close();
        } catch (IOException e) {
          e.printStackTrace();
        }
      }
    }
  }

  public String getGreeting() {
    return this.greeting;
  }

}

